# http-cli

`http` is the http command-line client you've been waiting for.
It's like `curl` except with a much more convenient interface.

## Features

- Automatically follows redirects by default
- Automatically pretty-prints JSON if stdout is a tty
- Automatically prepends `https://` to URLs without a protocol if called as `https`
- Written in pure Rust (!)

## Installation

Install Rust if for some reason you haven't already, then type `cargo build --release`.
Copy the newly created `target/release/http-util` to `/usr/local/bin` or some other
directory in your PATH, and rename it to `http`.
You may also want to create a link to this file called `https`; this utility will default
to HTTPS if called as such.
Lastly, you may want to copy `http.1` to `/usr/local/man/man1/` to get the manpage.

Alternatively, you can also run `sudo make install` for the automated installation
procedure, although cargo might get a stroke if you run it as root.

## License

Copyright &copy; 2023 anna &lt;owt AT fef.moe&gt;.

This program is distributed under the 3-clause BSD license.
See the `LICENSE` file for details.

